# GET /v1/characters

Annictに登録されているキャラクター情報を取得することができます。

## フィールド

| 名前                          | 概要                                                               |
| --------------------------- | ---------------------------------------------------------------- |
| id                          | ID                                                               |
| name                        | 名前                                                               |
| name\_kana                  | 名前 (かな表記)                                                        |
| name\_en                    | 名前 (英語表記)                                                        |
| nickname                    | ニックネーム                                                           |
| nickname\_en                | ニックネーム (英語表記)                                                    |
| birthday                    | 誕生日                                                              |
| birthday\_en                | 誕生日 (英語表記)                                                       |
| age                         | 年齢                                                               |
| age\_en                     | 年齢 (英語表記)                                                        |
| blood\_type                 | 血液型                                                              |
| blood\_type\_en             | 血液型 (英語表記)                                                       |
| height                      | 身長                                                               |
| height\_en                  | 身長 (英語表記)                                                        |
| weight                      | 体重                                                               |
| weight\_en                  | 体重 (英語表記)                                                        |
| nationality                 | 国籍                                                               |
| nationality\_en             | 国籍 (英語表記)                                                        |
| occupation                  | 肩書き                                                              |
| occupation\_en              | 肩書き (英語表記)                                                       |
| description                 | キャラ紹介                                                            |
| description\_en             | キャラ紹介 (英語表記)                                                     |
| description\_source         | キャラ紹介の引用元                                                        |
| description\_source\_en     | キャラ紹介の引用元 (英語表記)                                                 |
| favorite\_characters\_count | お気に入りに入れている人の数                                                   |
| series                      | 紐づくシリーズ情報。取得できるフィールドは [Series](/docs/ja/api/v1/series.md) と同じです。 |

## パラメータ

| 名前           | 概要                                                | 使用例               |
| ------------ | ------------------------------------------------- | ----------------- |
| fields       | レスポンスボディに含まれるデータのフィールドを絞り込みます。                    | fields=id,name    |
| filter\_ids  | キャラクターをIDで絞り込みます。                                 | filter\_ids=1,2,3 |
| filter\_name | キャラクターを名前で絞り込みます。                                 | filter\_name=株式会社 |
| page         | ページ数を指定します。                                       | page=2            |
| per\_page    | 1ページに何件取得するかを指定します。デフォルトは `25` 件で、`50` 件まで指定できます。 | per\_page=30      |
| sort\_id     | キャラクターをIDで並び替えます。`asc` または `desc` が指定できます。        | sort\_id=desc     |

## リクエスト例

```
$ curl -X GET https://api.annict.com/v1/characters?access_token=(access_token)&filter_ids=7510
```

```javascript
{
  "characters": [
    {
      "id": 7510,
      "name": "岡部倫太郎",
      "name_kana": "おかべりんたろう",
      "name_en": "Okabe, Rintarou",
      "kind": "STEINS;GATE",
      "nickname": "鳳凰院凶真、おかりん",
      "nickname_en": "Hououin, Kyouma",
      "birthday": "12月14日",
      "birthday_en": "December 14",
      "age": "18歳",
      "age_en": "18",
      "blood_type": "A型",
      "blood_type_en": "A",
      "height": "177 cm",
      "height_en": "177 cm",
      "weight": "59 kg",
      "weight_en": "59 kg",
      "nationality": "日本",
      "nationality_en": "Japan",
      "occupation": "狂気のマッドサイエンティスト",
      "occupation_en": "Crazy Mad Scientist",
      "description": "未来ガジェット研究所のラボメンNo.001にして、ラボの創設者。東京電機大学1年生。まゆりや橋田からは「オカリン」と呼ばれている。実家は青果店。",
      "description_en": "",
      "description_source": " Wikipedia【STEINS;GATEの登場人物】",
      "description_source_en": "",
      "favorite_characters_count": 13,
      "series": {
        "id": 50,
        "name": "Steins;Gate",
        "name_ro": "",
        "name_en": ""
      }
    }
  ],
  "total_count": 1,
  "next_page": null,
  "prev_page": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.annict.com/docs/ja/api/v1/characters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
